<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_array_map_info_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_array_map_info_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__vx__array.html">Array APIs</a>]</small>
</h1><!-- doxytag: class="tivx_array_map_info_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Information about a array mapping. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint8_t *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__array__map__info__t.html#a5e5de0b77a54378a551b18a416efa4d3">map_addr</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Address mapped via vxMapArray().  <a href="#a5e5de0b77a54378a551b18a416efa4d3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324">vx_size</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__array__map__info__t.html#a7fc7263865726c5992423a1477b58cdc">map_size</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Size of memory region mapped via vxMapArray().  <a href="#a7fc7263865726c5992423a1477b58cdc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__array__map__info__t.html#a6b9e256330b56e257c327b80fb3aec0c">usage</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of access being done by user, see <a class="el" href="vx__types_8h.html#adc2f56f2c0b0255308ce90746b454fe6">vx_accessor_e</a>.  <a href="#a6b9e256330b56e257c327b80fb3aec0c"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a5e5de0b77a54378a551b18a416efa4d3"></a><!-- doxytag: member="tivx_array_map_info_t::map_addr" ref="a5e5de0b77a54378a551b18a416efa4d3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t* <a class="el" href="structtivx__array__map__info__t.html#a5e5de0b77a54378a551b18a416efa4d3">tivx_array_map_info_t::map_addr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Address mapped via vxMapArray(). </p>

</div>
</div>
<a class="anchor" id="a7fc7263865726c5992423a1477b58cdc"></a><!-- doxytag: member="tivx_array_map_info_t::map_size" ref="a7fc7263865726c5992423a1477b58cdc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324">vx_size</a> <a class="el" href="structtivx__array__map__info__t.html#a7fc7263865726c5992423a1477b58cdc">tivx_array_map_info_t::map_size</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Size of memory region mapped via vxMapArray(). </p>

</div>
</div>
<a class="anchor" id="a6b9e256330b56e257c327b80fb3aec0c"></a><!-- doxytag: member="tivx_array_map_info_t::usage" ref="a6b9e256330b56e257c327b80fb3aec0c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> <a class="el" href="structtivx__array__map__info__t.html#a6b9e256330b56e257c327b80fb3aec0c">tivx_array_map_info_t::usage</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Type of access being done by user, see <a class="el" href="vx__types_8h.html#adc2f56f2c0b0255308ce90746b454fe6">vx_accessor_e</a>. </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
